CIFSIOSTAT(1)

BEZEICHNUNG
cifsiostat - CIFS-Statistiken berichten.

ÜBERSICHT
cifsiostat [ -h ] [ -k | -m ] [ -t ] [ -V ] [ --dec={ 0 | 1 | 2 } ] [ --human ] [ --pretty ] [ interval [ count ] ]

BESCHREIBUNG
Der Befehl cifsiostat zeigt Statistiken zu Lese- (»read«) und Schreibvorgängen (»write«) auf CIFS-Dateisystemen an.

Der Parameter Intervall gibt die Zeit in Sekunden zwischen den einzelnen Berichten an. Der erste Bericht enthält Statistiken für die Zeit seit dem Systemstart. Jeder der darauf folgenden Berichte enthält Statistiken, die in der Zeit seit dem vorhergehenden Bericht gesammelt wurden. Ein Bericht besteht aus einer CIFS-Kopfzeile, der eine Zeile mit Statistiken für jedes CIFS-Dateisystem folgt, das eingehängt ist. Der Parameter Anzahl kann zusammen mit dem Parameter Intervall angegeben werden. Falls der Parameter Anzahl angegeben ist, bestimmt dessen Wert die Anzahl der im Abstand von Intervall in Sekunden angegebenen Berichte. Falls der Parameter Intervall ohne den Parameter Anzahl angegeben ist, erzeugt der Befehl cifsiostat die Berichte fortlaufend.

BERICHT
Der CIFS-Bericht stellt Statistiken für jedes eingehängte CIFS-Dateisystem bereit. Der Bericht enthält die folgenden Felder:

Filesystem:
    Diese Spalten zeigen den Einhängepunkt des CIFS-Dateisystems an.

rB/s (rkB/s, rMB/s)
    bezeichnet die Anzahl der durchschnittlich pro Sekunde gelesenen Byte (Kilobyte, Megabyte).

wB/s (wkB/s, wMB/s)
    bezeichnet die Anzahl der durchschnittlich pro Sekunde geschriebenen Byte (Kilobyte, Megabyte).

rop/s
    bezeichnet die Anzahl der »read«-Aktionen (Lesevorgänge), die pro Sekunde an das Dateisystem ausgegeben wurden.

wop/s
    bezeichnet die Anzahl der »write«-Aktionen (Schreibvorgänge), die pro Sekunde an das Dateisystem ausgegeben wurden.

fo/s
    bezeichnet die Anzahl der geöffneten Dateien pro Sekunde.

fc/s
    bezeichnet die Anzahl der geschlossenen Dateien pro Sekunde.

fd/s
    bezeichnet die Anzahl der gelöschten Dateien pro Sekunde.

OPTIONEN

--dec={ 0 | 1 | 2 }
    gibt die Anzahl der zu verwendenden Dezimalstellen an (0 bis 2, Standardwert ist 2).

-h  Diese Option ist gleichbedeutend mit der Angabe --human --pretty.

--human
    gibt Größen in einem menschenlesbaren Format aus (zum Beispiel 1.0k, 1.2M, usw.). Die mit dieser Option angezeigten Einheiten ersetzen jegliche andere Standardeinheiten (zum Beispiel Kilobyte oder Sektoren usw.), die den Metriken zugeordnet sind.

-k  zeigt Statistiken in Kilobyte pro Sekunde an.

-m  zeigt Statistiken in Megabyte pro Sekunde an.

--pretty
    macht den CIFS-Bericht besser menschenlesbar.

-t  gibt die Zeit für jeden angezeigten Bericht aus. Das Zeitstempelformat kann vom Wert der Umgebungsvariable S_TIME_FORMAT abhängen (siehe unten).

-V  gibt die Versionsnummer aus und beendet das Programm.

UMGEBUNGSVARIABLEN
Der Befehl cifsiostat berücksichtigt die folgenden Umgebungsvariablen:

S_COLORS
    Standardmäßig werden die Statistiken im Terminal in Farbe dargestellt. Verwenden Sie diese Variable, um die Einstellungen zu ändern. Mögliche Werte für diese Variable sind never, always oder auto (Letzteres ist die Standardeinstellung).
    Beachten Sie, dass die Farbe (egal ob rot, gelb oder irgendeine andere Farbe), die zum Anzeigen eines Wertes verwendet wird, nicht allein durch die Färbung eine Bedeutung für die Ausgabe hat. Sie zeigt lediglich verschiedene Wertebereiche an.

S_COLORS_SGR
    Diese Variable gibt die Farben und andere Attribute an, die zur Anzeige der Statistiken im Terminal verwendet werden. Deren Wert ist eine durch Doppelpunkte getrennte Liste der Fähigkeiten, standardmäßig I=32;22:N=34;1:Z=34;22. Folgende Fähigkeiten werden unterstützt:

    I=  SGR-Teilzeichenkette für Dateisystemnamen.

    N=  SGR-Teilzeichenkette für von Null verschiedene statistische Werte.

    Z=  SGR-Teilzeichenkette für Null-Werte.

S_TIME_FORMAT
    Falls diese Variable existiert und deren Wert auf ISO gesetzt ist, dann wird die aktuelle Locale bei der Ausgabe des Datums in der Berichtsüberschrift ignoriert. Der Befehl cifsiostat wird dann stattdessen das ISO-8601-Format (JJJJ-MM-TT) verwenden. Der mit der Option -t angezeigte Zeitstempel wird auch zum ISO-8601-Format kompatibel sein.

FEHLER
Das /proc-Dateisystem muss eingehängt sein, damit cifsiostat funktioniert.

Obwohl cifsiostat Kilobyte (kB), Megabyte (MB) usw. meldet, sind eigentlich Kibibyte (kiB), Mebibyte (MiB) usw. gemeint. Ein Kibibyte ist gleich 1024 Byte und ein Mebibyte ist gleich 1024 Kibibyte.

DATEI
/proc/fs/cifs/Stats enthält CIFS-Statistiken.

AUTOREN
Geschrieben von Ivana Varekova (varekova <at> redhat.com)
Betreut von Sebastien Godard (sysstat <at> orange.fr)

SIEHE AUCH
sar(1), pidstat(1), mpstat(1), vmstat(8), iostat(1), tapestat(1), nfsiostat(1)

https://github.com/sysstat/sysstat
https://sysstat.github.io/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.